Skip to content

Shares a geofence list​

POST
/users/{userid}/geofenceLists/{listid}/share

Shares a geofence list with a user
This can be a list that you have created, or a list that has been shared with you.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

userid*

User ID

Type
integer
Required
listid*

Geofence list ID

Type
integer
Required

Request Body​

application/json
JSON
{
  
"email": "string"
}

Request example

Responses​

OK

application/json
JSON
{
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
info:
  title: Lightbug API
  version: '2'
externalDocs:
  description: ''
  url: ''
openapi: 3.1.0
servers:
  - url: https://api.lightbug.cloud/v2
security:
  - ApiKeyAuth: []
tags: []
paths:
  /users/{userid}/geofenceLists/{listid}/share:
    post:
      description: |-
        Shares a geofence list with a user
        This can be a list that you have created, or a list that has been shared with you.
      parameters:
        - description: User ID
          in: path
          name: userid
          required: true
          schema:
            type: integer
        - description: Geofence list ID
          in: path
          name: listid
          required: true
          schema:
            type: integer
requestBody:
yaml
        content:
          application/json:
            schema:
              properties:
                email:
                  type: string
              type: object
        description: Email
        required: true
yaml
      responses:
'200':
yaml
          content:
            application/json:
              schema:
                type: object
          description: OK
'400':
yaml
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: 400
                    type: integer
                  message:
                    example: status bad request
                    type: string
                type: object
          description: Bad Request
'401':
yaml
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: 400
                    type: integer
                  message:
                    example: status bad request
                    type: string
                type: object
          description: Unauthorized
'404':
yaml
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: 400
                    type: integer
                  message:
                    example: status bad request
                    type: string
                type: object
          description: Not Found
'429':
yaml
          content:
            application/json:
              schema:
                type: string
          description: Limit exceeded
          headers:
            X-Ratelimit-Limit:
              schema:
                type: integer
            X-Ratelimit-Remaining:
              schema:
                type: integer
            X-Ratelimit-Reset:
              schema:
                type: integer
yaml
      security:
        - ApiKeyAuth: []
      summary: Shares a geofence list
      tags:
        - geofencelists
      operationId: post-users-userid-geofenceLists-listid-share
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...